<template>
  <div class="list-item user-list-item">
    <component v-for="component in components" :key="component.name" :is="component" :user="user" />
  </div>
</template>

<script>
import { computed } from 'vue'
import { useUserAddOn } from '../../plugins/user-add-on-plugin'
export default {
  name: 'UserListItem',
  props: {
    user: { type: Object, required: true },
  },
  setup() {
    const userAddOn = useUserAddOn()

    const components = computed(() => {
      return userAddOn.listItemComponents
    })

    return {
      components,
    }
  },
}
</script>

<style lang="scss">
@use '../../../core/sass/vars';

.user-list-item {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: vars.$spacing;
}
</style>
